Package org.eclipse.emf.cdo.spi.server

## Class LongIDStoreAccessor

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.emf.cdo.spi.server.StoreAccessorBase
      - - org.eclipse.emf.cdo.spi.server.StoreAccessor
        - - org.eclipse.emf.cdo.spi.server.LongIDStoreAccessor

- All Implemented Interfaces:
    `IQueryHandlerProvider`, `IStoreAccessor`, `InternalCDOBranchManager.BranchLoader`, `InternalCDOCommitInfoManager.CommitInfoLoader`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

      public abstract class LongIDStoreAccessor
      extends StoreAccessor

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.server.StoreAccessorBase

      `StoreAccessorBase.CommitDataRevisionHandler`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `IStoreAccessor.CommitContext, IStoreAccessor.DurableLocking, IStoreAccessor.DurableLocking2, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryXRefsContext, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `LongIDStoreAccessor​(Store store, ISession session)` |
    `protected` | `LongIDStoreAccessor​(Store store, ITransaction transaction)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CDOID` | `getNextCDOID​(CDORevision revision)` |
    `LongIDStore` | `getStore()` | Returns the store this accessor is associated with.

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.server.StoreAccessor

      `applyIDMappings, detachObjects, doWrite, needsRevisionPostProcessing, postProcessRevisions, writeBlob, writeClob, writeCommitInfo, writeCommitInfo, writeDirtyObjectRevisions, writeNewObjectRevisions, writeRevisionDeltas, writeRevisions`

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.server.StoreAccessorBase

      `addIDMappings, commit, doCommit, doPassivate, doRollback, doUnpassivate, getSession, getTransaction, isReader, loadCommitData, readResourceID, release, rollback, write`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

      `loadCommitInfos`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

      `getQueryHandler`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `createChunkReader, handleLobs, handleRevisions, loadLob, loadPackageUnit, queryLobs, queryResources, queryXRefs, readChangeSet, readPackageUnits, readRevision, readRevisionByVersion, writePackageUnits`

- - ### Constructor Detail

    - #### LongIDStoreAccessor

          protected LongIDStoreAccessor​(Store store,
                                        ISession session)

    - #### LongIDStoreAccessor

          protected LongIDStoreAccessor​(Store store,
                                        ITransaction transaction)

  - ### Method Detail

    - #### getStore

          public LongIDStore getStore()

      Description copied from interface: `IStoreAccessor`
      Returns the store this accessor is associated with.
      Specified by:
        `getStore` in interface `IStoreAccessor`
      Overrides:
        `getStore` in class `StoreAccessorBase`
      Since:
        4.0

    - #### getNextCDOID

          protected CDOID getNextCDOID​(CDORevision revision)

      Specified by:
        `getNextCDOID` in class `StoreAccessorBase`